Results 1 to 7 of 7

Thread: Gnome-Tweaks And Broken Packages

  1. #1
    Join Date
    Aug 2014
    Beans
    181
    Distro
    Lubuntu 20.04 Focal Fossa

    Gnome-Tweaks And Broken Packages

    wyatt@wyatt-Aspire-E1-532:~$ sudo apt install gnome-tweaks
    [sudo] password for wyatt:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    gnome-tweaks : Depends: gnome-shell-extension-prefs but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    wyatt@wyatt-Aspire-E1-532:~$

    How do I go about correcting this?
    Last edited by wyattwhiteeagle; August 30th, 2021 at 01:43 AM.

  2. #2
    Join Date
    Jul 2021
    Beans
    25

    Re: Gnome-Tweaks And Broken Packages


  3. #3
    Join Date
    Aug 2014
    Beans
    181
    Distro
    Lubuntu 20.04 Focal Fossa

    Re: Gnome-Tweaks And Broken Packages

    Quote Originally Posted by bobunderwood99 View Post
    My first attempt was for Gnome-Tweaks.

    My second attempt via the abbove link was for Gnome-Tweak-Tool

    I followed the steps at that link

    Here is the terminal output... (pretty much the same message)

    wyatt@wyatt-Aspire-E1-532:~$ sudo apt install gnome-tweak-tool
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    gnome-tweak-tool : Depends: gnome-tweaks but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    wyatt@wyatt-Aspire-E1-532:~$
    Last edited by wyattwhiteeagle; August 30th, 2021 at 03:57 AM.

  4. #4
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    12,312
    Distro
    Ubuntu

    Re: Gnome-Tweaks And Broken Packages

    Post the full outputs for
    Code:
    sudo apt update
    sudo apt full-upgrade
    Use Code Tags,
    see this post on how to use code tags: https://ubuntuforums.org/showthread....8#post12776168
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  5. #5
    Join Date
    Aug 2014
    Beans
    181
    Distro
    Lubuntu 20.04 Focal Fossa

    Re: Gnome-Tweaks And Broken Packages

    Quote Originally Posted by deadflowr View Post
    Post the full outputs for
    Code:
    sudo apt update
    sudo apt full-upgrade
    Use Code Tags,
    see this post on how to use code tags: https://ubuntuforums.org/showthread....8#post12776168
    sudo apt update
    Code:
    wyatt@wyatt-Aspire-E1-532:~$ sudo apt update
    [sudo] password for wyatt: 
    Hit:1 http://us.archive.ubuntu.com/ubuntu focal InRelease
    Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease                   
    Get:3 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]      
    Hit:4 https://dl.winehq.org/wine-builds/ubuntu focal InRelease                 
    Fetched 114 kB in 1s (96.8 kB/s)                                               
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    All packages are up to date.
    sudo apt full-upgrade
    Code:
    wyatt@wyatt-Aspire-E1-532:~$ sudo apt full-upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    wyatt@wyatt-Aspire-E1-532:~$
    Would including this terminal output lead in the correct direction...

    Code:
    wyatt@wyatt-Aspire-E1-532:~$ sudo apt install gnome-tweak-tool
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    
    The following packages have unmet dependencies:
     gnome-tweak-tool : Depends: gnome-tweaks but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.

    Code:
    wyatt@wyatt-Aspire-E1-532:~$ sudo apt install gnome-tweaks
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    
    The following packages have unmet dependencies:
     gnome-tweaks : Depends: gnome-shell-extension-prefs but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    Code:
    wyatt@wyatt-Aspire-E1-532:~$ sudo apt install gnome-shell-extension-prefs
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    
    The following packages have unmet dependencies:
     gnome-shell-extension-prefs : Depends: gnome-shell (= 3.36.4-1ubuntu1~20.04.2) but 3.36.9-0ubuntu0.20.04.2 is to be installed
                                   Depends: gnome-shell-common (= 3.36.4-1ubuntu1~20.04.2) but 3.36.9-0ubuntu0.20.04.2 is to be installed
    E: Unable to correct problems, you have held broken packages.
    wyatt@wyatt-Aspire-E1-532:~$
    Last edited by wyattwhiteeagle; August 30th, 2021 at 05:29 AM.

  6. #6
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    12,312
    Distro
    Ubuntu

    Re: Gnome-Tweaks And Broken Packages

    Your output doesn't show focal-updates.
    Is it enabled?

    Open the Software and Updates app and go to the section Updates.
    See if the Recommended Updates is checked or not.
    If not checked, check it.

    After that, I'd recommend running another update as posted before in post #4.
    Then after all that try installing gnome-tweaks.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  7. #7
    Join Date
    Aug 2014
    Beans
    181
    Distro
    Lubuntu 20.04 Focal Fossa

    Re: Gnome-Tweaks And Broken Packages

    Quote Originally Posted by deadflowr View Post
    Your output doesn't show focal-updates.
    Is it enabled?

    Open the Software and Updates app and go to the section Updates.
    See if the Recommended Updates is checked or not.
    If not checked, check it.

    After that, I'd recommend running another update as posted before in post #4.
    Then after all that try installing gnome-tweaks.
    Doing that has allowed Tweaks to install.

    Does that mean I no longer hold these particular broken packages?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •